-- A carton of milk

freeslot("MT_MILK")

local FLOAT_HEIGHT = 60*FRACUNIT
local MAXMOMZ = 4*FRACUNIT
local MOMZGROW = FRACUNIT/8

-- Yes
addHook("MobjThinker", function(mo)
    mo.color = (1+leveltime%(MAXSKINCOLORS-1))
    K_SpawnSparkleTrail(mo)
    
    if mo.z < mo.floorz + FLOAT_HEIGHT then
        mo.momz = min(mo.momz + MOMZGROW, MAXMOMZ)
    else
        mo.momz = max(mo.momz - MOMZGROW, -MAXMOMZ)
    end
	
	if mo.rollangle ~= nil then
		-- Wasn't sure if snapped animation looks better
		-- I decided to keep smooth one for now, since it looks bit better along with smooth vertical movement
		--[[
		local step = (leveltime / (TICRATE/3)) % 8
	
		mo.rollangle = step * ANGLE_45
		--]]
		
		mo.rollangle = $ + ANG1*3
	end
end, MT_MILK)