-- So the teleport was looking so ugly i decided to compensate that by adding particles

freeslot("SPR_PTL2")

freeslot("MT_PORTAL2_TELEPORT")

freeslot("S_PORTAL2_TELEPORT", "S_PORTAL2_TELEPORT_PARTICLE")

states[S_PORTAL2_TELEPORT] = {
	sprite = SPR_PTL2,
	frame = A|FF_PAPERSPRITE|FF_FULLBRIGHT,
	tics = -1,
}

states[S_PORTAL2_TELEPORT_PARTICLE] = {
	sprite = SPR_PTL2,
	frame = B|FF_FULLBRIGHT,
	tics = TICRATE*2,
}

addHook("MobjThinker", function(mo)
	-- Nope, can't do it in MobjSpawn, spawnpoint is nil there
	if not mo.color then
		mo.color = (mo.spawnpoint.angle / 360 == 0) and SKINCOLOR_ORANGE or SKINCOLOR_BLUE
	end
	
	if leveltime % 10 == 1 then
		local particle = P_SpawnMobj(mo.x+20*(P_RandomFixed() - FRACUNIT/2), mo.y+20*(P_RandomFixed() - FRACUNIT/2), mo.z + 40*P_RandomFixed(), MT_THOK)
		particle.state = S_PORTAL2_TELEPORT_PARTICLE
		particle.color = mo.color
		P_InstaThrust(particle, mo.angle - ANGLE_90, 20*P_RandomFixed())
		particle.momz = 10*(P_RandomFixed()-FRACUNIT/2)
	end
end, MT_PORTAL2_TELEPORT)